Graphics
Intel® graphics drivers and software, compatibility, troubleshooting, performance and optimization
17463 Discussions

hdcp 1.4 needed

ArnoldS9
Beginner
358 Views

I have an Intel i5-9600k cpu installed on an Asus  Prime Z390-A motherboard. The graphics is Intel UHD Graphics 630. To use some devices I need hdcp 1.4. How can I enable or install hdcp 1.4?

Labels (1)
0 Kudos
1 Reply
n_scott_pearson
Super User Retired Employee
262 Views
Intel's processors contain support for HDCP 2.2 or better. HDCP 2.x is NOT backwards compatible with HDCP 1.x. There is no way to get HDCP 1.4 support. Hopefully HDCP 2.2 will suffice; if not, AFAIK, you are out of luck.
...S
Reply